#include <bits/stdc++.h>

using namespace std;

int gr[100001];
int kolone[100001];

int rez = INT_MAX;

void ekspo(int n, int m, int i)
{
    if(i>n)
    {
        int sum = 0;
        for(int j=1;j<=m;j++)
            sum = sum + (n-kolone[j])*kolone[j];
        rez = min(rez, sum);
        return;
    }
    for(int j=1;j<=gr[i];j++) kolone[j]++;
    ekspo(n, m, i+1);

    for(int j=1;j<=m;j++)
    {
        if(j<=gr[i]) kolone[j]--;
        else kolone[j]++;
    }
    ekspo(n, m, i+1);
    for(int j=1;j<=m;j++)
    {
        if(j>gr[i]) kolone[j]--;
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, m;
    cin >> n >> m;
    for(int i=1;i<=n;i++)
    {
        cin >> gr[i];
    }

    ekspo(n, m, 1);
    cout << rez;



    return 0;
}